# Variable circleDomainItem`Const`

circleDomainItem: {
binary: "uint";
custom: {
from: ((name) => 0 | 2 | 1 | 3 | 5 | 6);
to: ((id) => "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base");
};
size: 4;
} = ...

#### Type declaration

- ##### `Readonly` binary: "uint"

- ##### `Readonly` custom: {
  from: ((name) => 0 | 2 | 1 | 3 | 5 | 6);
  to: ((id) => "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base");
  }

  - ##### from: ((name) => 0 | 2 | 1 | 3 | 5 | 6)

    - - (name): 0 | 2 | 1 | 3 | 5 | 6

      - #### Parameters

        - ##### name: "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"

        #### Returns 0 | 2 | 1 | 3 | 5 | 6

  - ##### to: ((id) => "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base")

    - - (id): "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"

      - #### Parameters

        - ##### id: number

        #### Returns "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"

- ##### `Readonly` size: 4

- Defined in definitions/src/layout-items/circle.ts:3

Generated using TypeDoc